curl --request POST \
--url https://api.instantly.ai/api/v2/email-verification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "example@example.com"
}
'import requests
url = "https://api.instantly.ai/api/v2/email-verification"
payload = { "email": "example@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'example@example.com'})
};
fetch('https://api.instantly.ai/api/v2/email-verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/email-verification")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"example@example.com\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/email-verification",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'example@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/email-verification"
payload := strings.NewReader("{\n \"email\": \"example@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"email": "example@example.com",
"verification_status": "pending",
"status": "success",
"catch_all": true,
"credits": 100,
"credits_used": 1
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Create email verification
If an email takes longer than 10 seconds to verify, the endpoint will return the status as pending. In that case, you may use the /email-verification/:email endpoint to check the status of the verification job.
Alternatively, you can send a webhook_url to receive the results instead of polling the status endpoint.
Requires one of the following scopes: email_verifications:create
Requires one of the following scopes: email_verifications:create, email_verifications:all, all:create, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The Email Verification to create
The Email Verification to create
Response
The Email Verification
A single email verification
The email address to verify
"example@example.com"
The verification status.
pending, verified, invalid "pending"
The request status. Do not use this field to determine the verification status. Please use verification_status instead to check the verification status
success, error "success"
Whether this is a catch-all email address
true, false true
The number of verification credits available after the verification
100
The number of verification credits used
1